// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#pragma once

#include "CoreMinimal.h"

class FLODRecipeContentBrowserContextMenu : public FExtender
{
public:
	explicit FLODRecipeContentBrowserContextMenu(const TArray<FAssetData>& InSelectedAssets);

private:
	static void CreateContextMenuGenerateLODs(FMenuBuilder& MenuBuilder, TArray<FAssetData> SelectedAssets);
	static void GenerateLODsClicked(TArray<FAssetData> SelectedAssets);

private:
	const TArray<FAssetData>& SelectedAssets;
};
